#include <iostream>;
using namespace std;

int main() {

	long long int brojevi[5];

	for (int i = 0; i < 5;i++)
	{
		scanf_s("%d", &brojevi[i]);
	}

	if ((brojevi[0] == 1) ||(brojevi[1] == 1) || (brojevi[2] == 1))cout << "0";

	int zbir = brojevi[0] + brojevi[1] + brojevi[2];

	if (brojevi[0] == brojevi[1] && brojevi[0] == brojevi[2])
	{
		if (brojevi[0] > 3)
		{
			cout << brojevi[4] - brojevi[3];
		}
	}

	if (zbir > 12)
	{
		cout << brojevi[4] - brojevi[3];
	}
}